Bug 1658425 - [abrt] gnome-control-center: g_data_set_internal(): gnome-control-center killed by SIGSEGV
Summary: [abrt] gnome-control-center: g_data_set_internal(): gnome-control-center kill...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-control-center
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pete Walter
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:55d0da31b93c099e6b049291f47...
: 1699759 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-12 02:58 UTC by Boris
Modified: 2019-11-27 21:56 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 21:56:42 UTC


Attachments (Terms of Use)
File: backtrace (100.32 KB, text/plain)
2018-12-12 02:58 UTC, Boris
no flags Details
File: cgroup (345 bytes, text/plain)
2018-12-12 02:58 UTC, Boris
no flags Details
File: core_backtrace (45.47 KB, text/plain)
2018-12-12 02:58 UTC, Boris
no flags Details
File: cpuinfo (1.48 KB, text/plain)
2018-12-12 02:58 UTC, Boris
no flags Details
File: dso_list (29.05 KB, text/plain)
2018-12-12 02:58 UTC, Boris
no flags Details
File: environ (3.57 KB, text/plain)
2018-12-12 02:58 UTC, Boris
no flags Details
File: limits (1.29 KB, text/plain)
2018-12-12 02:58 UTC, Boris
no flags Details
File: maps (154.33 KB, text/plain)
2018-12-12 02:58 UTC, Boris
no flags Details
File: mountinfo (3.56 KB, text/plain)
2018-12-12 02:58 UTC, Boris
no flags Details
File: open_fds (2.19 KB, text/plain)
2018-12-12 02:58 UTC, Boris
no flags Details
File: proc_pid_status (1.31 KB, text/plain)
2018-12-12 02:58 UTC, Boris
no flags Details
File: exploitable (168 bytes, application/octet-stream)
2018-12-12 02:58 UTC, Boris
no flags Details

Description Boris 2018-12-12 02:58:19 UTC
Version-Release number of selected component:
gnome-control-center-3.30.2-1.fc29

Additional info:
reporter:       libreport-2.9.6
backtrace_rating: 4
cmdline:        gnome-control-center
crash_function: g_data_set_internal
executable:     /usr/bin/gnome-control-center
journald_cursor: s=9a551893a8da495882088339ba4786a3;i=9710;b=ea1d31f812644751a259643608609803;m=56ceee67e;t=57c5644931c68;x=348ffc452abfad9b
kernel:         4.19.5-300.fc29.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_data_set_internal at gdataset.c:370
 #1 g_datalist_id_set_data_full at gdataset.c:670
 #2 g_object_set_qdata at gobject.c:3428
 #3 gtk_widget_set_parent_window at gtkwidget.c:10657
 #4 gtk_widget_unparent at gtkwidget.c:4674
 #5 gtk_bin_remove at gtkbin.c:151
 #6 g_cclosure_marshal_VOID__OBJECTv at gmarshal.c:2102
 #7 _g_closure_invoke_va at gclosure.c:873
 #10 gtk_container_remove at gtkcontainer.c:1905
 #11 gtk_widget_dispose at gtkwidget.c:12087

Comment 1 Boris 2018-12-12 02:58:23 UTC
Created attachment 1513570 [details]
File: backtrace

Comment 2 Boris 2018-12-12 02:58:24 UTC
Created attachment 1513571 [details]
File: cgroup

Comment 3 Boris 2018-12-12 02:58:26 UTC
Created attachment 1513572 [details]
File: core_backtrace

Comment 4 Boris 2018-12-12 02:58:28 UTC
Created attachment 1513573 [details]
File: cpuinfo

Comment 5 Boris 2018-12-12 02:58:30 UTC
Created attachment 1513574 [details]
File: dso_list

Comment 6 Boris 2018-12-12 02:58:31 UTC
Created attachment 1513575 [details]
File: environ

Comment 7 Boris 2018-12-12 02:58:32 UTC
Created attachment 1513576 [details]
File: limits

Comment 8 Boris 2018-12-12 02:58:35 UTC
Created attachment 1513577 [details]
File: maps

Comment 9 Boris 2018-12-12 02:58:36 UTC
Created attachment 1513578 [details]
File: mountinfo

Comment 10 Boris 2018-12-12 02:58:38 UTC
Created attachment 1513579 [details]
File: open_fds

Comment 11 Boris 2018-12-12 02:58:39 UTC
Created attachment 1513580 [details]
File: proc_pid_status

Comment 12 Boris 2018-12-12 02:58:40 UTC
Created attachment 1513581 [details]
File: exploitable

Comment 13 Daniel Davies 2019-04-15 07:49:28 UTC
*** Bug 1699759 has been marked as a duplicate of this bug. ***

Comment 14 Ben Cotton 2019-10-31 19:37:12 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Ben Cotton 2019-11-27 21:56:42 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.